# =========================================================================== #
# Gemspec for Project GenerateRcFile.
# =========================================================================== #
require 'generate_rc_file/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'generate_rc_file'
  s.version = GenerateRcFile::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  s.summary = <<-EOF

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF
  
  s.description = <<-EOF

    This library is called generate_rc_file.

  EOF
  
  s.extra_rdoc_files = %w()
  
  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.files       = Dir['**/*']
  # s.files      << 'README.md'
  s.files      << 'USAGE.md'
  s.license     = 'GPL-2.0'
  s.homepage    = 'https://github.com/shevegen/generate_rc_file'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # Dependencies for the project:
  s.add_dependency 'colours'
  s.add_dependency 'opn'

}